<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Reporting bugs</title><meta name="generator" content="DocBook XSL Stylesheets V1.68.1" /><link rel="start" href="index.html" title="Debian Community Guidelines" /><link rel="up" href="ch03.html" title="Chapter 3. Debian-specific guidelines" /><link rel="prev" href="ch03s02.html" title="Handling bug reports" /><link rel="next" href="ch04.html" title="Chapter 4. Resources for moderators, listmasters, DPLs..." /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Reporting bugs</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03s02.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Debian-specific guidelines</th><td width="20%" align="right"> <a accesskey="n" href="ch04.html">Next</a></td></tr></table><hr /></div><div class="sect1" lang="en-us" xml:lang="en-us"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="debian-reportingbugs"></a>Reporting bugs</h2></div></div></div><p>
Reporting a bug is an important way of helping with development: when reporting
a bug it's then very important to be helpful.
</p><p>
While this may seem obvious, it can turn out to be difficult to do when a bug
is reported after the frustration of struggling with a problem.
</p><p>
It is important to be in a good mood when reporting a bug.  It can help to take
a breath or a walk to the fridge (unless it's empty) to allow
frustration to wear off.
</p><p>
If the bug comes from a trivial mistake, try to remember of the trivial
mistakes you did in the past: don't necessarily assume that the maintainer
knows less than you.
</p><p>
If you find trivial mistakes, however, the best thing to do is to make sure
that the main point in the report is a nice patch to fix them.
</p><p>
Finally, other poeple may not use the software in the same way that you do:
this means that, if you propose an idea for solving the problem, you should be
prepared for it not to be accepted if there is a more general solution.
</p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch03s02.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch03.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch04.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Handling bug reports </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Chapter 4. Resources for moderators, listmasters, DPLs...</td></tr></table></div></body></html>
